/**********************************************************
*MessageBox 按钮；返回值；消息级别的定义
**********************************************************/
msgBox = {
    dlgBtn: {
        Ok: "1",
        YesNo: "2",
        YesNoCancel: "3"
    },
    dlgRst: {
        None: "0",
        Ok: "1",
        Cancel: "2",
        Abort: "3",
        Retry: "4",
        Ignore: "5",
        Yes: "6",
        No: "7"
    },
    msgLevel: {
        Info: "1",
        Warn: "2",
        Err: "3"
    }
}
/**********************************************************
*前台弹出消息的Message信息
*
**********************************************************/

msg = {

    cg: {//采购
        cgdjNotEmp: "采购单数据不能为空！",
        thdjNotEmp: "退货单数据不能为空！",
        inputCgDt: "采购日期不能为空！",
        LineFail: "列配置失败！",
        backObj: "返利项目为空或者不存在！",
        backData: "返现日期不能为空！",
        collectionPerson: "收款账户为空或者不存在！",
        collentionData: "收款日期不能为空！",
        backMoney: "返现金额不能为空！",
        relevanceSp: "关联药品为空或者不存在！",
        viewQcdj: "请到期初维护窗口查看详细信息！",
        fhslNotZero: "返货数量不能为0！",
        fhdjNOtZero: "返货单价不能为0！"
    },
    fkd: {      //付款单
        notDataEmp: "单据不能为空！",
        notDateEmp: "】行的付款日期不能为空！",
        dateErrors: "】行的付款日期格式不正确！",
        notClientEmp: "】行的付款账户为空或者不存在！",
        dateNotExtent: "】行的付款日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        notSfEmp: "】行的实付金额不能为空！",
        notJsrEmp: "】行的经手人为空或者不存在！",
        notEuqalZero: "】行的实付金额不能为0！",
        muQianFuKuan: "您目前的付款已经超出: ",
        yuan: "元！"
    },
    yfcx: {
        notDataBh: "请选择要查看的单据！",
        notFindgys: "供应商为空或者不存在！"
    },
    wlmx: {
        notDjType: "您选择的要查看的数据单据类型！"

    },
    xs: {//销售
        xsdjNotEmp: "销售单数据不能为空！",
        inputXsDt: "销售日期不能为空！",
        inputXsLx: "请输入销售类型！"
    },
    cx: {//纯销
        lxglRq: "日期不能为空！",
        lxglYp: "药品为空或者不存在！",
        lxglYpNot: "药品为空或者不存在！",
        lxglPskh: "配送客户为空或者不存在！",
        lxglPskhNot: "配送客户为空或者不存在！",
        lxglPsrq: "第【NO】行的配送日期不能为空！",
        lxglPsrq1: "第【NO】行的配送日期格式不正确！",
        lxglKh: "第【NO】行的客户为空或者不存在！",
        lxglKh1: "第【NO】行的客户与配送客户不能相同！",
        lxglKhNot: "第【NO】行的客户为空或者不存在！",
        lxglXslx: "第【NO】行的销售类型不能为空！",
        lxglSl: "第【NO】行的数量不能为空，并且不能为零！",
        lxglDj: "第【NO】行的单价不能为空，并且要大于零！",
        lxglXsy: "第【NO】行的销售员为空或者不存在！",
        lxglLxd: "流向单明细不能为空！",
        lxglJzqc1: "请选择药品和配送客户后再进行修改！",
        lxglJzqc2: "药品或配送客户不存在，请重新输入！"
    },
    kc: {//库存
        lxnotEmp: "移库类型为空或不存在！",
        lxoutcknotEmp: "调出仓库为空或者不存在！",
        lxincknotEmp: "调入仓库为空或者不存在！",
        notDataEmp: "单据不能为空！",
        selYklx: "移库类型为空或者不存在！",
        ckNamenotEque: "调出仓库和调入仓库相同！"
    },
    skd: {
        xsyNot: "销售员为空或者不存在！",
        dataNotEmp: "单据不能为空！",
        djdateNotEmp: "日期不能为空！",
        khdmNotEmp: "客户为空或者不存在！",
        kmdmNotEmp: "收款账户为空或者不存在！",
        zydmNotEmp: "经手人为空或者不存在！",
        skJeNotEmp: "收款金额不能为空，并且不能为零！",
        notFenPei: "实收金额不能为空！",
        skBuDeng: "实收合计金额和收款金额必须相等！",
        skdSsje: "实收金额必须小于或等于未收金额！",
        skdYh: "第【NO】行回款分配的优惠金额，不能大于收款单的优惠金额！",
        skdJe: "第【NO】行回款分配的分配金额，不能大于收款单的实收金额！",
        skdYh1: "第【NO】行的优惠金额没有分配或没有全部分配！",
        hkfpYh: "分配的优惠金额，不能大于收款单的优惠金额！",
        hkfpJe: "分配的分配金额，不能大于收款单的实收金额！",
        hkfpZydmEmp: "第【NO】行的销售员为空或不存在！",
        hkfpJeEmp: "第【NO】行的分配金额不能为空，并且不能为零！",
        hkfpNameQqual2: "第【NO】行的销售员分配重复！"
    },
    fp: {//发票
        lnAmountEmp: "】行的开票数量不能为空！",
        lnPriceEmp: "】行的开票单价不能为空！",
        inputZfje: "支付金额不能为空！"
    },
    cw: {//财务
        fykmNotEmp: "费用科目为空或者不存在！",
        fyjsrNotEmp: "费用经手人为空或者不存在！",
        fykmNotExit: "费用科目为空或者不存在！",
        fyjsrNotExit: "费用经手人为空或者不存在！",
        ytdxNotEmp: "预提对象为空或者不存在！",
        ytdxNotExit: "预提对象为空或者不存在！",
        ytblNotEmp: "】行预提比列不能为空！",
        ytjeNotEmp: "】行预提金额不能为空！",
        trjeNotEmp: "】行的金额不能为空！",
        trfpjeMorezcje: "】行的已分配金额大于支出金额！",
        zhDataEmp: "转账日期不能为空！",
        tjfwNotEmp: "统计范围不能为空！",
        fyzcdNotEmp: "费用支出单不能为空！",
        ytfyzcdNotEmp: "预提费用支付单不能为空！",
        dafpjeisNegatives: "待分配金额为负数！",
        ldMoneyEmp: "金额不能为空！",
        lrZhEmp: "转入账户为空或者不存在！",
        lcZhEmp: "转出账户为空或者不存在！",
        inputzhEmp: "账户为空或者不存在！",
        sameZh: "转入账户和转出账户重名，请重新选择！",
        tzDataEmp: "调整日期不能为空！",
        tzMoneyEmp: "调整金额不能为空！",
        oldGzEmp: "原规则为空或者不存在！",
        newGzEmp: "新规则为空或者不存在！",
        sameGz: "原规则和新规则重名了,请重新选择！",
        DwnameNotEmp: "单位为空或者不存在！"
    },
    sz: {//设置
        gys: {//供应商
            nameQqual: "供应商名称重复！",
            nameEmp: "供应商名称为空或者不存在！",
            empOrNotExit: "供应商名称为空或者不存在！",
            lnEmpOrNotExit: "】行的供应商名称为空或者不存在！",
            numberingQqual: "供应商编号重复,是否要保存？",
            selGys: "供应商为空或者不存在！",
            GysNOtExit: "供应商为空或者不存在！"
        },
        kjkm: {
            NoEmp: "科目名称不能为空！",
            nameEmp: "科目名称为空或者不存在！",
            trZckmNotExit: "】行的支出科目为空或不存在！",
            nameQqual: "科目名称重复！"
        },
        yp: {//药品
            codeEmp: "药品编号不能为空！",
            codeQqual: "药品编号重复，是否保存信息！",
            nameEmp: "药品名称不能为空！",
            nameQqual: "药品名称重复！",
            empOrNotExit: "药品名称为空或者不存在！",
            lnEmpOrNotExit: "】行的药品名称为空或者不存在！",
            lnAmountEmp: "】行的药品数量不能为空！",
            lnPriceEmp: "】行的药品单价不能为空！",
            ypslEmp: "药品数量不能空！",
            ypPrice: "药品单价不能空！",
            ypClass: "药品分类为空或者不存在！",
            ypUnit: "单位为空或者不存在！",
            className1: "分类名称不能为空！",
            className2: "分类名称重复！",
            unitName1: "单位名称不能为空！",
            unitName2: "单位名称重复！",
            lnAmountNOtZero: "】行的药品数量不能为零！",
            lnPriceNOtZeroOrEmp: "】行的药品数量不能为空或零！"
        },
        zy: {//职员
            nameQqual: "职员名称重复！",
            codeQqual: "职员编号重复，是否保存信息！",
            nameEmp: "职员名称不能为空！",
            empOrNotExit: "职员名称为空或者不存在！",
            lnEmpOrNotExit: "】行的职员名称为空或者不存在！"
        },
        jsr: {//经手人
            nameQqual: "经手人重复！",
            nameEmp: "经手人不能为空！",
            empOrNotExit: "经手人为空或者不存在！",
            lnEmpOrNotExit: "】行的经手人为空或者不存在！",
            seljsr: "经手人为空或者不存在！"
        },
        ck: {//仓库
            nameQqual: "仓库名称重复！",
            nameEmp: "仓库名称不能为空！",
            empOrNotExit: "仓库名称为空或者不存在！",
            lnEmpOrNotExit: "】行的仓库名称为空或者不存在！",
            numberingQqual: "仓库编号重复，是否保存？",
            selCk: "仓库为空或者不存在！"
        },
        kp: {//开票单位
            nameEmp: "单位名称不能为空！",
            nameQqual: "单位名称重复！",
            codeQqual: "单位编号重复,是否保存信息！",
            slLength: "税率不能超过100%！",
            empOrNotExit: "开票单位为空或者不存在！",
            input_sz: "只允许输入小于等于100的数字！",
            SelKpdw: "开票单位为空或者不存在！",
            SelKpNoEmpty: "开票税率不能为空！",
            DkKpNoEmpty: "抵扣税率不能为空!",
            SelKpRange: "开票税只能是0-100的数字！",
            KpNoEmpty: "】行开票单位为空或者不存在！",
            KpNoEmptyOneRow: "开票单位为空或者不存在！",
            SpNoEmpty: "】行收票单位为空或者不存在！",
            SpNoEmptyOneRwo: "收票单位为空或者不存在！"
        },
        kh: {//客户
            nameQqual: "客户名称重复！",
            nameEmp: "客户名称不能为空！",
            empOrNotExit: "客户名称为空或者不存在！",
            lnEmpOrNotExit: "】行的客户名称为空或者不存在！",
            selKh: "客户为空或者不存在！",
            codeQqual: "客户编号重复，是否保存信息？"
        },
        bm: {//部门
            nameEmp: "部门名称不能为空！",
            empOrNotExit: "部门名称为空或者不存在！",
            nameQqual: "部门名称重复！",
            idQqual: "部门编号重复，是否保存？"
        },
        qc: {
            isDaiPiao: " 请输入未开数量和开票单价！",
            isDaiPiaoCount: "未开数量不能为空！",
            isDaiPiaoPrice: "未开单价不能为空！",
            selectKh: "客户全称为空或者不存在！",
            selectGys: "供应商为空或者不存在！",
            selectSp: "药品名称为空或者不存在！",
            selectXsy: "销售员为空或者不存在！",
            selectCk: "仓库为空或者不存在！"
        },
        czy: {
            nameEmp: "操作员名称不能为空！",
            logNameEmp: "登录名不能为空！",
            existName: "已存在此操作员！",
            existLogName: "已存在此登录名！"
        }
    },
    bb: {
        cgqs: "只能显示36个时间点的数据!",
        xsqs: "只能显示36个时间点的数据!",
        cxqs: "只能显示36个时间点的数据!"
    },
    save: {
        saveSuc: "保存成功！",
        saveFail: "保存失败！"
    },
    edit: {
        selEditRow: "请选择要修改的记录！"
    },
    del: {
        delSuc: "删除成功！",
        delFail: "删除失败！",
        selDelRow: "请选择要删除的记录！",
        delForbid: "存在关联数量不允许删除！",
        delConfirm: "您确定要删除该条记录吗？",
        haveChild: "存在子节点不允许删除！",
        delDatafirst: "确定要删除数据【",
        delDataLast: "】吗？"

    },
    search: {
        searchSuccess: "查询成功！",
        searchFailed: "查询失败！"
    },
    dt: {
        dtTypeErr: "日期格式不正确或者不存在！",
        dtNoData: "在此日期范围内没有数据！",
        dtStOverEd: "开始日期不能大于结束日期！",
        inputFkDt: "付款日期不能为空！",
        inputSkDt: "收款日期不能为空！",
        inputThDt: "退货日期不能为空！",
        inputTpDt: "退票日期不能为空！",
        inputFhDt: "返货日期不能为空！",
        inputKpDt: "开票日期不能为空！",
        inputOutDt: "支出日期不能为空！",
        dtExtentEp: "日期范围不能为空！",
        ytzfDtNOEmp: "预提支付日期不能为空！",
        dtExtentErr: "日期不能为空！"
    },
    other: {
        dnh: "第【",
        notEmp: "不能为空！",
        inputYsdw: "运输单位不能为空！",
        inputYdh: "运单号不能为空！",
        inputSfje: "实付金额不能为空！",
        inputSfjeLessZero: "实付金额不能小于零！",
        sfjeAddYfjeMor: "实付金额加优惠大于应付金额！",
        inputFkje: "付款金额不能为空！",
        inputFkzh: "付款账户为空或者不存在！",
        inputSkzh: "收款账户为空或者不存在！",
        inputSkJe: "收款金额不能为空！",
        inputZdr: "制单人不能为空！",
        modelInfoFail: "没有模块配置信息！",
        dbOprateErr: "数据库操作失败！",
        flxmEmpOrNotExit: "返利项目为空或者不存在！",
        haveChange: "数据有修改，是否保存？",
        emailTypeErr: "邮箱格式不正确！",
        selDataRow: "请选择数据！",
        typeErr: "类型不能为空，请重新选择！",
        jenotEmp: "金额不能为空！",
        pihao: "】行数量与登记的批号箱号数量不相同！",
        pihaoNoSame: "单据的数量与登记的批号箱号数量不相同！",
        plGl: "单据的数量与登记的批号箱号数量不相同！",
        difMoney: "付款金额与总金额不一致是否保存?",
        SkMoney: "收款金额与总金额不一致是否保存?",
        FpMoneyEmpty: "发票金额为不能为空！",
        FpMoney: "发票金额与总金额不一致！",
        dataEmp: "单据不能空！",
        dataNoComplete: "录入数据不完整！",
        lxglJzqc1: "建帐期初不能为空！",
        lxglJzqc2: "单价不能为空！",
        inputFhsl: "返货数量不能为空！",
        inputFhdj: "返货单价单价不能为空！",
        intputFhje: "返货金额不能为空！",
        inputKpsl: "开票数量不能为空！",
        inputKpdj: "开票单价不能为空！",
        intputKpje: "开票金额不能为空！",
        kpjeIsnotZero: "开票金额不能为0！",
        inputGlkh: "】行的关联客户！",
        xhNoEmpty: "】行的箱号不能为空！",
        phNoEmpty: "】行的批号不能为空！",
        XqNoEmpty: "】行的药品效期不能为空！",
        djrqExtent: "单据日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        cgrqExtent: "采购日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        sprqExtent: "收票日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        fprqExtent: "发票日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        dkrqExtent: "抵扣日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        tprqExtent: "退票日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        thrqExtent: "退货日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        zcrqExtent: "支出日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        zfrqExtent: "支付日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        gzyfExtent: "工资月份不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        xsrqExtent: "销售日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        fkrqExtent: "付款日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        skriExtent: "收款日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        fhrqExtent: "返货日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        fxrqExtent: "返现日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        kprqExtent: "开票日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        pzrqExtent: "凭证日期不在有效时间范围内，有效时间应大于[" + window.parent._startDate + "]！",
        djhjExtent: "金额过大，最大金额不能超过1亿！",
        fhjeExtent: "金额过大，最大金额不能超过1亿！",
        moneyOversize: "金额过大，最大金额不能超过1亿！",
        ZslDyGlExtent: "登记的药品总数量不能大于输入的数量！",
        fpBhNoEmpty: "发票编号不能为空！",
        StateError: "状态修改失败！",
        SaveSlToDb: "本次修改是否保存到数据库里！",
        SamePh: "】行批号重复！",
        TpSlNoEmpty: "】行退票数量不能为空！",
        TpSlNoEmptyOneRow: "退票数量不能为空！",
        TpDjNoEmpty: "】行退票单价不能为空！",
        TpDjNoEmptyOneRow: "退票单价不能为空！",
        PzNoEmpty: "凭证日期不能为空！",
        DfJfNoEmpty: "贷方金额和借方金额不能都为空！",
        DfNoSameJf: "贷方金额和借方金额不相等！",
        SrxmNotEmp: "】行收入项目不能为空！",
        srjeNotEmp: "】行金额不能为空！",
        pleaseActivate: "请重新启动程序！",
        isIfStartData: "是否确定初始化数据！",
        spdwNoEmpty: "收票单位为空或者不存在！",
        kpdwNoEmpty: "开票单位为空或者不存在！",
        addTypeError: "添加失败！",
        typeNameNoEmpty: "名称不能为空！",
        typeNameSame: "名称重复了！",
        nameNotEmp: "姓名为空或者不存在",
        nameNotEmpOrExit: "姓名为空或不存在！",
        selZyNoEmpty: "职员为空或者不存在！",
        selQcNoEmpty: "期初数不能为空！",
        EndDyStart: "】行结束区间必须大于开始区间！",
        InetrContnu: "区间必须是连续的！",
        emailSucess: "邮箱绑定成功！",
        emailNotBind: "还未绑定邮箱！",
        emailIsNone: "已经取消邮箱绑定！",
        selEmialafter: "请选择邮箱后缀！",
        intputEmailName: "请输入账户！",
        intputEmailCode: "请输入密码！",
        fpNoEix: "发票编号为空或不存在！",
        fpZtEix: "发票状态为空或不存在！",
        wldwempOrNotExit: "往来单位为空或不存在！",
        tpMoneyOrNotExit: "退票金额不能等于零！",
        wkMoneyOrNotExit: "未开金额不能等于零！",
        djNotExit: "单据不能为空！",
        tzjeNotZero: "金额不能等于零！",
        InputLoadUrl: "请选择恢复文件！",
        slNoEffecTiveNum: "数量不是一个有效的数字",
        wkslNoEffecTiveNum: "未开数量不是一个有效的数字"
    },
    ma: {
        oldMa: "请输入原密码！",
        newMa: "请输入新密码！",
        maforOk: "请输入确认密码！",
        checkMa: "您两次输入的密码不一致！",
        pwdEmp: "请输入密码！",
        pwdStrong: "为确保数据安全，密码强度必须为高！",
        oldEqualNew: "初始密码不能为登录密码！",
        pleaseInpLogmin: "请录入登陆密码！",
        codeIsError: "密码错误超过3次！",
        inputInitCode: "请录入初始密码！",
        pleasePutinitCode: "请先设置销毁密码！",
        selCheckbox: "请改变checkbox的状态！",
        newPewNOtEmoOld: "新密码不能与原密码相同"
    },
    gz: {
        gzSameName: "规则名称相同！",
        gzSameNoEmpty: "规则名称不能为空！",
        fyKmNoEmpty: "费用科目为空或者不存在！",
        ytTypeNoSel: "请选择一个预提方式！",
        ytTypeNoEmpty: "预提方式不能为空！",
        jsrNoEmpty: "职员为空或者不存在！",
        STimeNoEmpty: "开始时间不能为空！",
        ETimeNoEmpty: "结束时间不能为空！",
        gzSetNoEmpty: "请设置预提规则！",
        KhYpZySelOne: "客户、药品、职员为空或不存在，三项必选一项！",
        MoneyNoEmpty: "】行金额不能为空！",
        CountNoEmpty: "】行数量不能为空！",
        ytblNoEmpty: "】行预提比例不能为空！",
        ytJeNoEmpty: "】行预提金额不能为空！",
        slNoSame: "数量重复！",
        jeNoSame: "金额重复！",
        gzNoRecord: "规则区间不能为空！",
        selSlJeNoEmpty: "数量金额不能为空！",
        ytsjNoEmpty: "预提时间不能为空！"
    }
}